# $Revision: 1.11 $, $Date: 2012/05/08 09:33:13 $
Summary:	On-screen keyboard
Summary(pl.UTF-8):	Klawiatura ekranowa
Name:		caribou
Version:	0.4.2
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/caribou/0.4/%{name}-%{version}.tar.xz
# Source0-md5:	0e3ba9db7bc9dd9dbd04a4007aac3cf3
URL:		http://live.gnome.org/Caribou
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= 1.6.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gobject-introspection-devel >= 0.10.7
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgee-devel
BuildRequires:	libxklavier-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-pygobject3-devel >= 3.0.0
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.14.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(postun):	/sbin/ldconfig
Requires:	clutter >= 1.6.0
Requires:	gobject-introspection >= 0.10.7
Requires:	python-modules
Requires:	python-pyatspi >= 2.2.0
Requires:	python-pygobject3 >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Caribou is an on-screen keyboard suitable for people who can use a
mouse but not a hardware keyboard. This on-screen keyboard may also be
useful for touch screen or tablet users.

%description -l pl.UTF-8
Caribou jest klawiaturą ekranową odpowiednią dla ludzi, którzy nie
mogą użyć zwykłej klawiatury a tylko mysz. Może być również pomocna
dla użytkowników ekranów dotykowych oraz tabletów.

%package devel
Summary:	Development files for Caribou
Summary(pl.UTF-8):	Pliki programistyczne dla Caribou
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package provides development files for Caribou.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki programistyczne dla Caribou.

%package -n python-caribou
Summary:	Keyboard UI for %{name}
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description  -n python-caribou
This package contains caribou Python GUI

%package gtk2-module
Summary:	Gtk2 im module for %{name}
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2
Conflicts:	%{name} < 0.4.1-2

%description gtk2-module
This package contains caribou im module for Gtk2.

%package gtk3-module
Summary:	Gtk3 im module for %{name}
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+3
Conflicts:	%{name} < 0.4.1-2

%description gtk3-module
This package contains caribou im module for Gtk3.

%package antler
Summary:	Keyboard implementation for %{name}
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 0.4.1-2

%description antler
This package contains caribou keyboard implementation.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%py_postclean

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-*/modules/libcaribou-gtk-module.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	%glib_compile_schemas
fi

%posttrans
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/caribou
%attr(755,root,root) %{_bindir}/caribou-preferences
%attr(755,root,root) %{_libdir}/libcaribou.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcaribou.so.0
%{_datadir}/caribou
%{_datadir}/glib-2.0/schemas/org.gnome.caribou.gschema.xml
%{_desktopdir}/caribou.desktop
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop
%{_libdir}/girepository-1.0/Caribou-1.0.typelib

%files -n python-caribou
%defattr(644,root,root,755)
%{py_sitescriptdir}/caribou

%files gtk2-module
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3-module
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so

%files antler
%defattr(644,root,root,755)
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%attr(755,root,root) %{_libexecdir}/antler-keyboard
%{_datadir}/glib-2.0/schemas/org.gnome.antler.gschema.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcaribou.so
%{_includedir}/libcaribou
%{_datadir}/gir-1.0/Caribou-1.0.gir

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: caribou.spec,v $
Revision 1.11  2012/05/08 09:33:13  kiesiu
- updated to 0.4.2

Revision 1.10  2012/03/03 21:23:30  glen
- conflicts before split

Revision 1.9  2012/03/02 19:23:22  glen
- split package to subpackages -gtk2-module, -gtk3-module, -antler and python-caribou

Revision 1.8  2011/10/18 19:49:03  kiesiu
- updated to 0.4.1

Revision 1.7  2011/10/16 12:09:59  wiget
- rel. 2

Revision 1.6  2011/09/30 11:11:09  megabajt
- updated to 0.4.0
- added -devel subpackage

Revision 1.5  2011/09/20 15:48:37  wiget
- up to 0.3.92

Revision 1.4  2011/09/07 14:05:32  wiget
- up to 0.3.91
- BR xz and tar with xz support
- fix Caribou-1.0.typelib (soname.patch)
- add gtk modules

Revision 1.3  2011/09/03 18:11:34  wiget
- swtich to .xz

Revision 1.2  2011/09/01 22:16:53  patrys
- 0.3.5

Revision 1.1  2011/04/10 21:21:53  megabajt
- new

